imports:
    - { resource: tables.yml }
parameters:
    dmzx.downloadsystem.version_data:
        author: dmzx
        title: Download System
        version: download_system_version
        file:
            - www.dmzx-web.net
            - /versions
            - downloadsystem_version.json
services:
    dmzx.downloadsystem.version.check:
        class: dmzx\downloadsystem\includes\version_check
        scope: prototype
        arguments:
            - '%dmzx.downloadsystem.version_data%'
            - '@config'
            - '@version_helper'
            - '@template'
            - '@user'
    dmzx.downloadsystem.listener:
        class: dmzx\downloadsystem\event\listener
        arguments:
            - '@user'
            - '@template'
            - '@controller.helper'
            - '@config'
            - '@auth'
            - '%core.php_ext%'
            - '@?files.factory'
        tags:
            - { name: event.listener }
    dmzx.downloadsystem.controller:
        class: dmzx\downloadsystem\controller\download
        arguments:
            - '@dmzx.downloadsystem.core.functions'
            - '@template'
            - '@user'
            - '@auth'
            - '@request'
            - '@controller.helper'
    dmzx.downloadsystem.controller.upload:
        class: dmzx\downloadsystem\controller\downloadupload
        arguments:
            - '@dmzx.downloadsystem.core.functions'
            - '@template'
            - '@user'
            - '@auth'
            - '@log'
            - '@dbal.conn'
            - '@controller.helper'
            - '@request'
            - '@ext.manager'
            - '@path_helper'
            - '%core.php_ext%'
            - '%core.root_path%'
            - '%dmzx.downloadsystem.table.dm_eds%'
            - '%dmzx.downloadsystem.table.dm_eds_cat%'
            - '@?files.factory'
    dmzx.downloadsystem.controller.cat:
        class: dmzx\downloadsystem\controller\downloadsystemcat
        arguments:
            - '@dmzx.downloadsystem.core.functions'
            - '@template'
            - '@user'
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '@controller.helper'
            - '@pagination'
            - '%core.php_ext%'
            - '%core.root_path%'
            - '%dmzx.downloadsystem.table.dm_eds%'
            - '%dmzx.downloadsystem.table.dm_eds_cat%'
    dmzx.downloadsystem.controller.download:
        class: dmzx\downloadsystem\controller\downloadsystemdownload
        arguments:
            - '@auth'
            - '@dbal.conn'
            - '@request'
            - '%core.root_path%'
            - '%dmzx.downloadsystem.table.dm_eds%'
            - '%dmzx.downloadsystem.table.dm_eds_cat%'
    dmzx.downloadsystem.controller.admin.controller:
        class: dmzx\downloadsystem\controller\admin_controller
        arguments:
            - '@dmzx.downloadsystem.core.functions'
            - '@template'
            - '@user'
            - '@log'
            - '@cache'
            - '@dbal.conn'
            - '@request'
            - '@pagination'
            - '@service_container'
            - '@ext.manager'
            - '@path_helper'
            - '%core.php_ext%'
            - '%core.root_path%'
            - '%dmzx.downloadsystem.table.dm_eds%'
            - '%dmzx.downloadsystem.table.dm_eds_cat%'
            - '%dmzx.downloadsystem.table.dm_eds_config%'
            - '@?files.factory'
    dmzx.downloadsystem.core.functions:
        class: dmzx\downloadsystem\core\functions
        arguments:
            - '@template'
            - '@user'
            - '@dbal.conn'
            - '@controller.helper'
            - '@request'
            - '@config'
            - '@pagination'
            - '@ext.manager'
            - '%core.php_ext%'
            - '%core.root_path%'
            - '%dmzx.downloadsystem.table.dm_eds%'
            - '%dmzx.downloadsystem.table.dm_eds_cat%'
            - '%dmzx.downloadsystem.table.dm_eds_config%'